library verilog;
use verilog.vl_types.all;
entity COREAHBLITE_MATRIX2X16 is
    generic(
        MEMSPACE        : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        HADDR_SHG_CFG   : vl_logic_vector(0 downto 0) := (others => Hi1);
        SC              : vl_logic_vector(15 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        M0_AHBSLOTENABLE: vl_logic_vector(16 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1);
        M1_AHBSLOTENABLE: vl_logic_vector(16 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1)
    );
    port(
        HCLK            : in     vl_logic;
        HRESETN         : in     vl_logic;
        REMAP_M0        : in     vl_logic;
        HADDR_M0        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M0    : in     vl_logic;
        HSIZE_M0        : in     vl_logic_vector(2 downto 0);
        HTRANS_M0       : in     vl_logic;
        HWRITE_M0       : in     vl_logic;
        HWDATA_M0       : in     vl_logic_vector(31 downto 0);
        HRESP_M0        : out    vl_logic;
        HRDATA_M0       : out    vl_logic_vector(31 downto 0);
        HREADY_M0       : out    vl_logic;
        HADDR_M1        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M1    : in     vl_logic;
        HSIZE_M1        : in     vl_logic_vector(2 downto 0);
        HTRANS_M1       : in     vl_logic;
        HWRITE_M1       : in     vl_logic;
        HWDATA_M1       : in     vl_logic_vector(31 downto 0);
        HRESP_M1        : out    vl_logic;
        HRDATA_M1       : out    vl_logic_vector(31 downto 0);
        HREADY_M1       : out    vl_logic;
        HRDATA_S0       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S0    : in     vl_logic;
        HRESP_S0        : in     vl_logic;
        HSEL_S0         : out    vl_logic;
        HADDR_S0        : out    vl_logic_vector(31 downto 0);
        HSIZE_S0        : out    vl_logic_vector(2 downto 0);
        HTRANS_S0       : out    vl_logic;
        HWRITE_S0       : out    vl_logic;
        HWDATA_S0       : out    vl_logic_vector(31 downto 0);
        HREADY_S0       : out    vl_logic;
        HMASTLOCK_S0    : out    vl_logic;
        HRDATA_S1       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S1    : in     vl_logic;
        HRESP_S1        : in     vl_logic;
        HSEL_S1         : out    vl_logic;
        HADDR_S1        : out    vl_logic_vector(31 downto 0);
        HSIZE_S1        : out    vl_logic_vector(2 downto 0);
        HTRANS_S1       : out    vl_logic;
        HWRITE_S1       : out    vl_logic;
        HWDATA_S1       : out    vl_logic_vector(31 downto 0);
        HREADY_S1       : out    vl_logic;
        HMASTLOCK_S1    : out    vl_logic;
        HRDATA_S2       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S2    : in     vl_logic;
        HRESP_S2        : in     vl_logic;
        HSEL_S2         : out    vl_logic;
        HADDR_S2        : out    vl_logic_vector(31 downto 0);
        HSIZE_S2        : out    vl_logic_vector(2 downto 0);
        HTRANS_S2       : out    vl_logic;
        HWRITE_S2       : out    vl_logic;
        HWDATA_S2       : out    vl_logic_vector(31 downto 0);
        HREADY_S2       : out    vl_logic;
        HMASTLOCK_S2    : out    vl_logic;
        HRDATA_S3       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S3    : in     vl_logic;
        HRESP_S3        : in     vl_logic;
        HSEL_S3         : out    vl_logic;
        HADDR_S3        : out    vl_logic_vector(31 downto 0);
        HSIZE_S3        : out    vl_logic_vector(2 downto 0);
        HTRANS_S3       : out    vl_logic;
        HWRITE_S3       : out    vl_logic;
        HWDATA_S3       : out    vl_logic_vector(31 downto 0);
        HREADY_S3       : out    vl_logic;
        HMASTLOCK_S3    : out    vl_logic;
        HRDATA_S4       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S4    : in     vl_logic;
        HRESP_S4        : in     vl_logic;
        HSEL_S4         : out    vl_logic;
        HADDR_S4        : out    vl_logic_vector(31 downto 0);
        HSIZE_S4        : out    vl_logic_vector(2 downto 0);
        HTRANS_S4       : out    vl_logic;
        HWRITE_S4       : out    vl_logic;
        HWDATA_S4       : out    vl_logic_vector(31 downto 0);
        HREADY_S4       : out    vl_logic;
        HMASTLOCK_S4    : out    vl_logic;
        HRDATA_S5       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S5    : in     vl_logic;
        HRESP_S5        : in     vl_logic;
        HSEL_S5         : out    vl_logic;
        HADDR_S5        : out    vl_logic_vector(31 downto 0);
        HSIZE_S5        : out    vl_logic_vector(2 downto 0);
        HTRANS_S5       : out    vl_logic;
        HWRITE_S5       : out    vl_logic;
        HWDATA_S5       : out    vl_logic_vector(31 downto 0);
        HREADY_S5       : out    vl_logic;
        HMASTLOCK_S5    : out    vl_logic;
        HRDATA_S6       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S6    : in     vl_logic;
        HRESP_S6        : in     vl_logic;
        HSEL_S6         : out    vl_logic;
        HADDR_S6        : out    vl_logic_vector(31 downto 0);
        HSIZE_S6        : out    vl_logic_vector(2 downto 0);
        HTRANS_S6       : out    vl_logic;
        HWRITE_S6       : out    vl_logic;
        HWDATA_S6       : out    vl_logic_vector(31 downto 0);
        HREADY_S6       : out    vl_logic;
        HMASTLOCK_S6    : out    vl_logic;
        HRDATA_S7       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S7    : in     vl_logic;
        HRESP_S7        : in     vl_logic;
        HSEL_S7         : out    vl_logic;
        HADDR_S7        : out    vl_logic_vector(31 downto 0);
        HSIZE_S7        : out    vl_logic_vector(2 downto 0);
        HTRANS_S7       : out    vl_logic;
        HWRITE_S7       : out    vl_logic;
        HWDATA_S7       : out    vl_logic_vector(31 downto 0);
        HREADY_S7       : out    vl_logic;
        HMASTLOCK_S7    : out    vl_logic;
        HRDATA_S8       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S8    : in     vl_logic;
        HRESP_S8        : in     vl_logic;
        HSEL_S8         : out    vl_logic;
        HADDR_S8        : out    vl_logic_vector(31 downto 0);
        HSIZE_S8        : out    vl_logic_vector(2 downto 0);
        HTRANS_S8       : out    vl_logic;
        HWRITE_S8       : out    vl_logic;
        HWDATA_S8       : out    vl_logic_vector(31 downto 0);
        HREADY_S8       : out    vl_logic;
        HMASTLOCK_S8    : out    vl_logic;
        HRDATA_S9       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S9    : in     vl_logic;
        HRESP_S9        : in     vl_logic;
        HSEL_S9         : out    vl_logic;
        HADDR_S9        : out    vl_logic_vector(31 downto 0);
        HSIZE_S9        : out    vl_logic_vector(2 downto 0);
        HTRANS_S9       : out    vl_logic;
        HWRITE_S9       : out    vl_logic;
        HWDATA_S9       : out    vl_logic_vector(31 downto 0);
        HREADY_S9       : out    vl_logic;
        HMASTLOCK_S9    : out    vl_logic;
        HRDATA_S10      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S10   : in     vl_logic;
        HRESP_S10       : in     vl_logic;
        HSEL_S10        : out    vl_logic;
        HADDR_S10       : out    vl_logic_vector(31 downto 0);
        HSIZE_S10       : out    vl_logic_vector(2 downto 0);
        HTRANS_S10      : out    vl_logic;
        HWRITE_S10      : out    vl_logic;
        HWDATA_S10      : out    vl_logic_vector(31 downto 0);
        HREADY_S10      : out    vl_logic;
        HMASTLOCK_S10   : out    vl_logic;
        HRDATA_S11      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S11   : in     vl_logic;
        HRESP_S11       : in     vl_logic;
        HSEL_S11        : out    vl_logic;
        HADDR_S11       : out    vl_logic_vector(31 downto 0);
        HSIZE_S11       : out    vl_logic_vector(2 downto 0);
        HTRANS_S11      : out    vl_logic;
        HWRITE_S11      : out    vl_logic;
        HWDATA_S11      : out    vl_logic_vector(31 downto 0);
        HREADY_S11      : out    vl_logic;
        HMASTLOCK_S11   : out    vl_logic;
        HRDATA_S12      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S12   : in     vl_logic;
        HRESP_S12       : in     vl_logic;
        HSEL_S12        : out    vl_logic;
        HADDR_S12       : out    vl_logic_vector(31 downto 0);
        HSIZE_S12       : out    vl_logic_vector(2 downto 0);
        HTRANS_S12      : out    vl_logic;
        HWRITE_S12      : out    vl_logic;
        HWDATA_S12      : out    vl_logic_vector(31 downto 0);
        HREADY_S12      : out    vl_logic;
        HMASTLOCK_S12   : out    vl_logic;
        HRDATA_S13      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S13   : in     vl_logic;
        HRESP_S13       : in     vl_logic;
        HSEL_S13        : out    vl_logic;
        HADDR_S13       : out    vl_logic_vector(31 downto 0);
        HSIZE_S13       : out    vl_logic_vector(2 downto 0);
        HTRANS_S13      : out    vl_logic;
        HWRITE_S13      : out    vl_logic;
        HWDATA_S13      : out    vl_logic_vector(31 downto 0);
        HREADY_S13      : out    vl_logic;
        HMASTLOCK_S13   : out    vl_logic;
        HRDATA_S14      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S14   : in     vl_logic;
        HRESP_S14       : in     vl_logic;
        HSEL_S14        : out    vl_logic;
        HADDR_S14       : out    vl_logic_vector(31 downto 0);
        HSIZE_S14       : out    vl_logic_vector(2 downto 0);
        HTRANS_S14      : out    vl_logic;
        HWRITE_S14      : out    vl_logic;
        HWDATA_S14      : out    vl_logic_vector(31 downto 0);
        HREADY_S14      : out    vl_logic;
        HMASTLOCK_S14   : out    vl_logic;
        HRDATA_S15      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S15   : in     vl_logic;
        HRESP_S15       : in     vl_logic;
        HSEL_S15        : out    vl_logic;
        HADDR_S15       : out    vl_logic_vector(31 downto 0);
        HSIZE_S15       : out    vl_logic_vector(2 downto 0);
        HTRANS_S15      : out    vl_logic;
        HWRITE_S15      : out    vl_logic;
        HWDATA_S15      : out    vl_logic_vector(31 downto 0);
        HREADY_S15      : out    vl_logic;
        HMASTLOCK_S15   : out    vl_logic;
        HRDATA_S16      : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S16   : in     vl_logic;
        HRESP_S16       : in     vl_logic;
        HSEL_S16        : out    vl_logic;
        HADDR_S16       : out    vl_logic_vector(31 downto 0);
        HSIZE_S16       : out    vl_logic_vector(2 downto 0);
        HTRANS_S16      : out    vl_logic;
        HWRITE_S16      : out    vl_logic;
        HWDATA_S16      : out    vl_logic_vector(31 downto 0);
        HREADY_S16      : out    vl_logic;
        HMASTLOCK_S16   : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of MEMSPACE : constant is 2;
    attribute mti_svvh_generic_type of HADDR_SHG_CFG : constant is 2;
    attribute mti_svvh_generic_type of SC : constant is 2;
    attribute mti_svvh_generic_type of M0_AHBSLOTENABLE : constant is 2;
    attribute mti_svvh_generic_type of M1_AHBSLOTENABLE : constant is 2;
end COREAHBLITE_MATRIX2X16;
